org.apache.calcite.avatica.proto

## Interface Responses.CloseStatementResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.CloseStatementResponse, Responses.CloseStatementResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.CloseStatementResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 1;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 1;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 1;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 1;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 1;`